package com.tongran.system.service;

import com.tongran.system.domain.RmSwitchManagement;

import java.util.List;

/**
 * 交换机管理Service接口
 * 
 * @author tongran
 * @date 2025-10-10
 */
public interface IRmSwitchManagementService 
{
    /**
     * 查询交换机管理
     * 
     * @param id 交换机管理主键
     * @return 交换机管理
     */
    public RmSwitchManagement selectRmSwitchManagementById(Long id);

    /**
     * 查询交换机管理列表
     * 
     * @param rmSwitchManagement 交换机管理
     * @return 交换机管理集合
     */
    public List<RmSwitchManagement> selectRmSwitchManagementList(RmSwitchManagement rmSwitchManagement);

    /**
     * 新增交换机管理
     * 
     * @param rmSwitchManagement 交换机管理
     * @return 结果
     */
    public int insertRmSwitchManagement(RmSwitchManagement rmSwitchManagement);

    /**
     * 修改交换机管理
     * 
     * @param rmSwitchManagement 交换机管理
     * @return 结果
     */
    public int updateRmSwitchManagement(RmSwitchManagement rmSwitchManagement);

    /**
     * 批量删除交换机管理
     * 
     * @param ids 需要删除的交换机管理主键集合
     * @return 结果
     */
    public int deleteRmSwitchManagementByIds(Long[] ids);

    /**
     * 删除交换机管理信息
     * 
     * @param id 交换机管理主键
     * @return 结果
     */
    public int deleteRmSwitchManagementById(Long id);

    /**
     * 交换机信息树形结构
     * @return
     */
    List<RmSwitchManagement> getAllSwitchNameTree();
}
